# eric7.QScintilla.EditorAssembly

Module implementing the editor assembly widget containing the navigation combos and the editor widget.

### Global Attributes

None

### Classes

EditorAssembly | Class implementing the editor assembly widget containing the navigation combos and the editor widget.

### Functions

None

## EditorAssembly

Class implementing the editor assembly widget containing the navigation combos and the editor widget.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

EditorAssembly | Constructor
__activateCombos | Private slot to activate the navigation combo boxes.
__activateOutline | Private slot to activate the source outline view.
__editorChanged | Private slot handling changes of the editor language or file name.
__editorCursorLineChanged | Private slot handling a line change of the cursor of the editor.
__globalsActivated | Private method to jump to the line of the selected global entry and to populate the members combo box.
__membersActivated | Private method to jump to the line of the selected members entry.
__parseEditor | Private method to parse the editor source and repopulate the globals combo.
__preferencesChanged | Private slot handling a change of preferences.
__resetParseTimer | Private slot to reset the parse timer.
getEditor | Public method to get the reference to the editor widget.
shutdownTimer | Public method to stop and disconnect the timer.

### Static Methods

None

#### EditorAssembly (Constructor)

EditorAssembly(dbs, fn="", vm=None, filetype="", editor=None, tv=None)

Constructor

dbs (DebugServer)
  reference to the debug server object
fn (str)
  name of the file to be opened. If it is None, a new (empty) editor is opened.
vm (ViewManager.ViewManager)
  reference to the view manager object
filetype (str)
  type of the source file
editor (Editor)
  reference to an Editor object, if this is a cloned view
tv (TaskViewer)
  reference to the task viewer object

#### EditorAssembly.__activateCombos

__activateCombos(activate)

Private slot to activate the navigation combo boxes.

activate (bool)
  flag indicating to activate the combo boxes

#### EditorAssembly.__activateOutline

__activateOutline(activate)

Private slot to activate the source outline view.

activate (bool)
  flag indicating to activate the source outline view

#### EditorAssembly.__editorChanged

__editorChanged()

Private slot handling changes of the editor language or file name.

#### EditorAssembly.__editorCursorLineChanged

__editorCursorLineChanged(lineno)

Private slot handling a line change of the cursor of the editor.

lineno (int)
  line number of the cursor

#### EditorAssembly.__globalsActivated

__globalsActivated(index, moveCursor=True)

Private method to jump to the line of the selected global entry and to populate the members combo box.

index (int)
  index of the selected entry
moveCursor (bool)
  flag indicating to move the editor cursor

#### EditorAssembly.__membersActivated

__membersActivated(index, moveCursor=True)

Private method to jump to the line of the selected members entry.

index (int)
  index of the selected entry
moveCursor (bool)
  flag indicating to move the editor cursor

#### EditorAssembly.__parseEditor

__parseEditor()

Private method to parse the editor source and repopulate the globals combo.

#### EditorAssembly.__preferencesChanged

__preferencesChanged()

Private slot handling a change of preferences.

#### EditorAssembly.__resetParseTimer

__resetParseTimer()

Private slot to reset the parse timer.

#### EditorAssembly.getEditor

getEditor()

Public method to get the reference to the editor widget.

Return:
  reference to the editor widget

Return Type:
  Editor

#### EditorAssembly.shutdownTimer

shutdownTimer()

Public method to stop and disconnect the timer.

Up